GuideLab API

List clinic actions

Returns a bounded, cursor-paginated union of current clinic actions. Deep links are derived from trusted source rows.

GET
/dashboard/clinic/actions

Returns a bounded, cursor-paginated union of current clinic actions. Deep links are derived from trusted source rows.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

cursor?string
Length1 <= length <= 2048
limit?integer
Range1 <= value <= 50
Default6

Response Body

application/json

curl -X GET "https://example.com/dashboard/clinic/actions"
{  "data": [    {      "sourceKind": "string",      "sourceId": "string",      "orderId": "string",      "orderNumber": "string",      "actionType": "approve_surgical_report",      "priority": "high",      "dueAt": "string",      "createdAt": "string",      "deepLink": "string"    }  ],  "nextCursor": "string"}
Empty
Empty
Empty